
Synnefo - Feature # 1167

Status: Closed Priority: Medium

Author: Antony Chazapis Category: Pithos

Created: 09/16/2011 Assignee: Antony Chazapis

Updated: 02/08/2013 Due date:

Subject: Enforce versioning policy

Description

Let the user decide whether to keep versions of objects or not (history).

Associated revisions

Revision 5e7485da - 10/13/2011 04:41 pm - Antony Chazapis

Merge policy into node. Needs database reset, or the following commands:

alter table policy rename to pre_policy;

create table if not exists policy

                          ( node   integer,

                            key    text,

                            value  text,

                            primary key (node, key)

                            foreign key (node)

                            references nodes(node)

                            on update cascade

                            on delete cascade );

insert into policy select n.node, p.key, p.value from nodes n, pre_policy p where n.path = p.path;

drop table pre_policy;

Refs #1165

Refs #1167

Revision 5e7485da - 10/13/2011 04:41 pm - Antony Chazapis 

Merge policy into node. Needs database reset, or the following commands:

alter table policy rename to pre_policy;

create table if not exists policy

                          ( node   integer,

                            key    text,

                            value  text,

                            primary key (node, key)

                            foreign key (node)

                            references nodes(node)

                            on update cascade

                            on delete cascade );

insert into policy select n.node, p.key, p.value from nodes n, pre_policy p where n.path = p.path;

drop table pre_policy;
Refs #1165

Refs #1167

Revision b2832c6a - 10/13/2011 06:32 pm - Antony Chazapis

Add account policy. Set default policy from settings. Must change settings.py.

Refs #1165

Refs #1167

Revision b2832c6a - 10/13/2011 06:32 pm - Antony Chazapis 

Add account policy. Set default policy from settings. Must change settings.py.

Refs #1165

Refs #1167

Revision 647a5f48 - 10/13/2011 07:42 pm - Antony Chazapis

Merge account policy in api. Document.

Refs #1165

Refs #1167

Revision 647a5f48 - 10/13/2011 07:42 pm - Antony Chazapis 

Merge account policy in api. Document.

Refs #1165

Refs #1167

Revision 5cc484e1 - 11/29/2011 01:30 pm - Antony Chazapis

Create a single point to apply versioning policy.

Refs #1167

Revision 5cc484e1 - 11/29/2011 01:30 pm - Antony Chazapis 

Create a single point to apply versioning policy.

Refs #1167

Revision a46f7175 - 11/29/2011 01:33 pm - Antony Chazapis

Update versioning in docs.
Refs #1167

Revision a46f7175 - 11/29/2011 01:33 pm - Antony Chazapis 

Update versioning in docs.

Refs #1167

Revision 5161c672 - 12/02/2011 03:37 pm - Antony Chazapis

Remove deleted version's map.

Refs #1167

Revision 5161c672 - 12/02/2011 03:37 pm - Antony Chazapis 

Remove deleted version's map.

Refs #1167

History

#1 - 10/17/2011 05:59 pm - Antony Chazapis

- Assignee set to Antony Chazapis

#2 - 12/02/2011 03:38 pm - Antony Chazapis

Updates also in revision cb446fb8673fe3db83be75391b599f59b35a7951.

#3 - 12/02/2011 03:40 pm - Antony Chazapis

- Status changed from New to Closed

#4 - 02/08/2013 07:01 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.8.1)

#5 - 02/08/2013 07:03 pm - Vangelis Koukis

- Category set to Pithos
